import * as __WEBPACK_EXTERNAL_MODULE__index_mjs__ from "../index.mjs";
import * as __WEBPACK_EXTERNAL_MODULE__data_source_collection_field_interface_CollectionFieldInterface_mjs__ from "../../data-source/collection-field-interface/CollectionFieldInterface.mjs";
function _define_property(obj, key, value) {
    if (key in obj) Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
    });
    else obj[key] = value;
    return obj;
}
class CheckboxFieldInterface extends __WEBPACK_EXTERNAL_MODULE__data_source_collection_field_interface_CollectionFieldInterface_mjs__.CollectionFieldInterface {
    schemaInitialize(schema, param) {
        let { block } = param;
        if ([
            'Table',
            'Kanban'
        ].includes(block)) {
            schema['x-component-props'] = schema['x-component-props'] || {};
            schema['x-component-props']['ellipsis'] = true;
        }
    }
    constructor(...args){
        super(...args), _define_property(this, "name", 'checkbox'), _define_property(this, "type", 'object'), _define_property(this, "group", 'choices'), _define_property(this, "order", 1), _define_property(this, "title", '{{t("Checkbox")}}'), _define_property(this, "default", {
            type: 'boolean',
            uiSchema: {
                type: 'boolean',
                'x-component': 'Checkbox'
            }
        }), _define_property(this, "availableTypes", [
            'boolean',
            'integer',
            'bigInt'
        ]), _define_property(this, "hasDefaultValue", true), _define_property(this, "properties", {
            ...__WEBPACK_EXTERNAL_MODULE__index_mjs__.defaultProps,
            'uiSchema.x-component-props.showUnchecked': {
                type: 'boolean',
                title: '{{t("Display X when unchecked")}}',
                default: false,
                'x-decorator': 'FormItem',
                'x-component': 'Checkbox'
            }
        }), _define_property(this, "filterable", {
            operators: __WEBPACK_EXTERNAL_MODULE__index_mjs__.operators.boolean
        });
    }
}
export { CheckboxFieldInterface };
